import { EventEmitter } from '@angular/core';
export declare class ContentComponent {
    resource: any;
    selected: boolean;
    themes: boolean;
    resourceSelected: EventEmitter<any>;
    newTheme: EventEmitter<boolean>;
    showPreview: boolean;
    noCategory: string;
    saveResource: boolean;
    openPreview(): void;
    openSelected(): void;
    closePreview(e: any): void;
    selectResource(r: any): void;
    addTheme(e: any): void;
}
